Bug 985400 - Example 14.12. Security Annotations Example in Development Guide
Example 14.12. Security Annotations Example in Development Guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ER10
: EAP 6.3.0
Assigned To: David Michael
Russell Dickenson
: Documentation
Depends On: 957165
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 08:06 EDT by Ondrej Lukas
Modified: 2016-04-04 21:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11864, Development Guide-6.1-4 Build Date: 12-07-2013 01:19:06 Topic ID: 4795-336485 [Specified]
Last Closed: 2014-08-06 10:40:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Lukas 2013-07-17 08:06:32 EDT
These mistakes were copied from https://bugzilla.redhat.com/show_bug.cgi?id=957165 because they occure in Development Guide too.

Example 14.12. Security Annotations Example

1) the source code contains additional "public String" above GoodbyeAdmin() method
2) "The GoodBye method runs as the  tempemployee role" - this is not true. Establishing a run-as identity for an enterprise bean does not affect the identities of its callers, which are the identities tested for permission to access the methods of the enterprise bean. The run-as identity establishes the identity that the enterprise bean will use when it makes calls. (c.f. http://docs.oracle.com/cd/E19226-01/820-7627/bnbyr/index.html)
Comment 4 Misty Stanley-Jones 2013-10-10 00:45:07 EDT
I made a stab at this with revision 545453. Darrin, please check my work. It may be that the @runas annotation needs to be explained better throughout.
Comment 7 Ondrej Lukas 2014-07-15 04:50:21 EDT
Verified in Development Guide in Revision 6.3.0-27.

Note You need to log in before you can comment on or make changes to this bug.